# Interface AbstractTrigger

interface AbstractTrigger {
action: string;
channel?: string;
configuration: any;
description?: string;
haltOnOnlyIf: (row: Row, user?: Row) => boolean;
id?: number | null;
min_role?: number;
name?: string;
table_id?: number | null;
table_name?: string;
when_trigger: string;
clone(): Promise<AbstractTrigger>;
delete(): Promise<void>;
getTags(): Promise<AbstractTag[]>;
runWithoutRow(runargs: any): Promise<boolean>;
toJson(): any;
}

#### Implemented by

- Trigger

- Defined in model-abstracts/abstract_trigger.ts:6

##### Index

### Properties

action
channel?
configuration
description?
haltOnOnlyIf
id?
min_role?
name?
table_id?
table_name?
when_trigger

### Methods

clone
delete
getTags
runWithoutRow
toJson

## Properties

### action

action: string

- Defined in model-abstracts/abstract_trigger.ts:8

### `Optional` channel

channel?: string

- Defined in model-abstracts/abstract_trigger.ts:13

### configuration

configuration: any

- Defined in model-abstracts/abstract_trigger.ts:15

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_trigger.ts:9

### haltOnOnlyIf

haltOnOnlyIf: (row: Row, user?: Row) => boolean

- Defined in model-abstracts/abstract_trigger.ts:24

### `Optional` id

id?: number | null

- Defined in model-abstracts/abstract_trigger.ts:14

### `Optional` min_role

min_role?: number

- Defined in model-abstracts/abstract_trigger.ts:16

### `Optional` name

name?: string

- Defined in model-abstracts/abstract_trigger.ts:7

### `Optional` table_id

table_id?: number | null

- Defined in model-abstracts/abstract_trigger.ts:10

### `Optional` table_name

table_name?: string

- Defined in model-abstracts/abstract_trigger.ts:11

### when_trigger

when_trigger: string

- Defined in model-abstracts/abstract_trigger.ts:12

## Methods

### clone

- clone(): Promise<AbstractTrigger>

  #### Returns Promise<AbstractTrigger>

  - Defined in model-abstracts/abstract_trigger.ts:20

### delete

- delete(): Promise<void>

  #### Returns Promise<void>

  - Defined in model-abstracts/abstract_trigger.ts:19

### getTags

- getTags(): Promise<AbstractTag[]>

  #### Returns Promise<AbstractTag[]>

  - Defined in model-abstracts/abstract_trigger.ts:23

### runWithoutRow

- runWithoutRow(runargs: any): Promise<boolean>

  #### Parameters

  - runargs: any

  #### Returns Promise<boolean>

  - Defined in model-abstracts/abstract_trigger.ts:22

### toJson

- toJson(): any

  #### Returns any

  - Defined in model-abstracts/abstract_trigger.ts:18